{
    "$graph": [
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "secrets": [
                        "pw"
                    ],
                    "class": "http://commonwl.org/cwltool#Secrets"
                }
            ],
            "requirements": [
                {
                    "listing": [
                        {
                            "entryname": "example.conf",
                            "entry": "username: user\npassword: $(inputs.pw)\n"
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#secret_job.cwl/pw"
                }
            ],
            "arguments": [
                "cat",
                "example.conf"
            ],
            "id": "#secret_job.cwl",
            "stdout": "17532a8a09b05f7c46f34e593279b9a6889cef4e",
            "outputs": [
                {
                    "type": "File",
                    "id": "#secret_job.cwl/out",
                    "outputBinding": {
                        "glob": "17532a8a09b05f7c46f34e593279b9a6889cef4e"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "hints": [
                {
                    "dockerPull": "debian:8",
                    "class": "DockerRequirement"
                },
                {
                    "secrets": [
                        "pw"
                    ],
                    "class": "http://commonwl.org/cwltool#Secrets"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/pw"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/step1/out",
                    "id": "#main/out"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/pw",
                            "id": "#main/step1/pw"
                        }
                    ],
                    "out": [
                        "#main/step1/out"
                    ],
                    "run": "#secret_job.cwl",
                    "id": "#main/step1"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "cwltool": "http://commonwl.org/cwltool#"
    }
}
